[page:Loader] →

# [name]

A loader for loading a .pdb resource.
The Protein Data Bank file format is a textual file describing the three-dimensional structures of molecules.

## 代码示例

`// instantiate a loader const loader = new PDBLoader(); // load a PDB resource loader.load( // resource URL 'models/pdb/caffeine.pdb', // called when the resource is loaded function ( pdb ) { const geometryAtoms = pdb.geometryAtoms; const geometryBonds = pdb.geometryBonds; const json = pdb.json; console.log( 'This molecule has ' + json.atoms.length + ' atoms' ); }, // called when loading is in progresses function ( xhr ) { console.log( ( xhr.loaded / xhr.total * 100 ) + '% loaded' ); }, // called when loading has errors function ( error ) { console.log( 'An error happened' ); } );`

## 例子

[example:webgl_loader_pdb]

## Constructor

### [name]( [param:LoadingManager manager] )

[page:LoadingManager manager] — The [page:LoadingManager loadingManager] for the loader to use. Default is [page:LoadingManager THREE.DefaultLoadingManager].

Creates a new [name].

## Properties

See the base [page:Loader] class for common properties.

## Methods

See the base [page:Loader] class for common methods.

### [method:undefined load]( [param:String url], [param:Function onLoad], [param:Function onProgress], [param:Function onError] )

[page:String url] — A string containing the path/URL of the .pdb file.
[page:Function onLoad] — (optional) A function to be called after loading is successfully completed. The function receives the object having the following properties. [page:BufferGeometry geometryAtoms], [page:BufferGeometry geometryBonds] and the [page:Object JSON] structure.
[page:Function onProgress] — (optional) A function to be called while the loading is in progress. The argument will be the XMLHttpRequest instance, which contains [page:Integer total] and [page:Integer loaded] bytes.
[page:Function onError] — (optional) A function to be called if an error occurs during loading. The function receives the error as an argument.

Begin loading from url and call onLoad with the parsed response content.

### [method:Object parse]( [param:String text] )

[page:String text] — The textual pdb structure to parse.

Parse a pdb text and return a JSON structure.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/loaders/PDBLoader.js examples/jsm/loaders/PDBLoader.js]